Skip to content

GET WIFI configuration.

GET
/api/operate/namespaces/{namespace}/sites/{site}/vpm/wifi/{node}/config
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/vpm/wifi/example/config \
--header 'Authorization: <Authorization>'

GET WIFI configuration from the node.

Examples of this operation.

namespace
required
string

Namespace Namespace for which the request is sent (system)

site
required
string

Site Name Name of the site.

node
required
string

Node Name Name of the node.

A successful response.

Media typeapplication/json
WIFI Get Config Response

Current WIFI configuration.

object
config
object
none
object
ssid
SSID

The service set identifier, or “network name” of the BSS.

string
<= 1024 characters
wpa2_personal
object
password
Password

WIFI Password.

string
<= 1024 characters
Examplegenerated
{
"config": {
"none": {},
"ssid": "example",
"wpa2_personal": {
"password": "example"
}
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example